Skip to main content
GET
/
api
/
user
/
detail
Get user details
curl --request GET \
  --url https://api.sandbox.bitwage.com/api/user/detail \
  --header 'Authorization: Basic <encoded-value>'
{
  "user_id": "<string>",
  "email": "<string>",
  "phone_number": "<string>",
  "phone_country": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "date_of_birth": "<string>",
  "street_address": "<string>",
  "street_address_2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "kyc_verification_status": "<string>",
  "tax_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your access token as: Authorization: Basic <ACCESS_TOKEN>

Query Parameters

user_id
string
required

User ID for Bitwage user.

Response

200 - application/json

User details returned.

user_id
string
email
string
phone_number
string
phone_country
string
first_name
string
last_name
string
date_of_birth
string
street_address
string
street_address_2
string
city
string
state
string
zip
string
country
string
kyc_verification_status
string
tax_id
string